<?php
/**
 * @version		3.1
 * @package		Joomla
 * @subpackage	Joom Donation
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
// no direct access
defined( '_JEXEC' ) or die ;   
if ($this->config->use_https) {
    $url = JRoute::_('index.php?option=com_jdonation&Itemid='.$this->Itemid, false, true);
} else {
    $url = JRoute::_('index.php?option=com_jdonation&Itemid='.$this->Itemid, false);
}
?>
<h1 class="title"><?php echo JText::_('JD_CONFIRMATION'); ?></h1>
<form method="post" name="jd_form" id="jd_form" action="<?php echo $url ; ?>">
	<table width="100%" class="jd_donor_table" cellspacing="4" cellpadding="4">
		<?php
			if ($this->config->confirmation_message) {
			?>
				<tr>
					<td colspan="2"><p class="info"><?php echo $this->config->confirmation_message;?></p></td>
				</tr>
			<?php	
			}
		?>	
		<tr>
			<td class="heading" colspan="2">
				<?php echo JText::_('JD_DONOR_INFO') ; ?>
			</td>
		</tr>
		<?php
			if ($this->config->use_campaign) {
			?>
				<tr>
					<td class="title_cell"><?php echo JText::_('JD_CAMPAIGN');?></td>
					<td class="field_cell"><?php echo $this->campaign; ?></td>		
				</tr>
			<?php	
			}			
			if ($this->username) {
			?>
				<tr>
					<td class="title_cell">
						<?php echo JText::_('JD_USERNAME'); ?>
					</td>
					<td class="field_cell">
						<?php echo $this->username; ?>
					</td>
				</tr>
				<tr>
					<td class="title_cell">
						<?php echo JText::_('JD_PASSWORD'); ?>
					</td>
					<td class="field_cell">
						<?php echo $this->showedPassword ; ?>
					</td>
				</tr>
			<?php	
			}
		?>					
		<tr>			
			<td class="title_cell">
				<?php echo  JText::_('JD_FIRST_NAME') ?>
			</td>
			<td class="field_cell">
				<?php echo $this->firstName; ?>
			</td>
		</tr>
		<?php
			if ($this->config->s_lastname) {
			?>
				<tr>			
					<td class="title_cell">
						<?php echo  JText::_('JD_LAST_NAME') ?>
					</td>
					<td class="field_cell">
						<?php echo $this->lastName; ?>
					</td>
				</tr>
			<?php	
			}		
			if ($this->config->s_organization) {
			?>
				<tr>			
					<td class="title_cell">
						<?php echo  JText::_('JD_ORGANIZATION'); ?>
					</td>
					<td class="field_cell">
						<?php echo $this->organization; ?>
					</td>
				</tr>	
			<?php	
			}
			if ($this->config->s_address) {
			?>
				<tr>			
					<td class="title_cell">
						<?php echo  JText::_('JD_ADDRESS'); ?>
					</td>
					<td class="field_cell">
						<?php echo $this->address; ?>
					</td>
				</tr>
			<?php	
			}
			
			if ($this->config->s_address2) {
			?>
				<tr>			
					<td class="title_cell">
						<?php echo  JText::_('JD_ADDRESS2'); ?>
					</td>
					<td class="field_cell">
						<?php echo $this->address2; ?>
					</td>
				</tr>
			<?php	
			}
			
			if ($this->config->s_city) {
			?>
				<tr>			
					<td class="title_cell">
						<?php echo  JText::_('JD_CITY'); ?>
					</td>
					<td class="field_cell">
						<?php echo $this->city; ?>
					</td>
				</tr>
			<?php	
			}
			if ($this->config->s_state) {
			?>
				<tr>			
					<td class="title_cell">
						<?php echo  JText::_('JD_STATE'); ?>
					</td>
					<td class="field_cell">
						<?php echo $this->state; ?>
					</td>
				</tr>
			<?php	
			}
			if ($this->config->s_zip) {
			?>
				<tr>			
					<td class="title_cell">
						<?php echo  JText::_('JD_ZIP'); ?>
					</td>
					<td class="field_cell">
						<?php echo $this->zip; ?>
					</td>
				</tr>
			<?php	
			}
			if ($this->config->s_country) {
			?>
				<tr>			
					<td class="title_cell">
						<?php echo  JText::_('JD_COUNTRY'); ?>
					</td>
					<td class="field_cell">
						<?php echo $this->country; ?>
					</td>
				</tr>
			<?php	
			}
			if ($this->config->s_phone) {
			?>
				<tr>			
					<td class="title_cell">
						<?php echo  JText::_('JD_PHONE'); ?>
					</td>
					<td class="field_cell">
						<?php echo $this->phone; ?>
					</td>
				</tr>
			<?php	
			}
			if ($this->config->s_fax) {
			?>
				<tr>			
					<td class="title_cell">
						<?php echo  JText::_('JD_FAX'); ?>
					</td>
					<td class="field_cell">
						<?php echo $this->fax; ?>
					</td>
				</tr>
			<?php	
			}
		?>																						
		<tr>			
			<td class="title_cell">
				<?php echo  JText::_('JD_EMAIL'); ?>
			</td>
			<td class="field_cell">
				<?php echo $this->email; ?>
			</td>
		</tr>				
		<?php
			if ($this->config->enable_hide_donor) {
			?>
				<tr>			
					<td class="title_cell">
						<?php echo  JText::_('JD_HIDE_DONOR'); ?>
					</td>
					<td class="field_cell">
						<?php
							if ($this->hideMe) {
								echo JText::_('JD_YES');
							} else {
								echo JText::_('JD_NO');
							}
						?>
					</td>
				</tr>
			<?php	
			}
			
			// Moved custom field here from later in the file
			if ($this->customField) {			
				echo $this->confirmation ;		
			}
		?>

		<tr>
			<td class="title_cell">
				<?php echo JText::_('JD_DONATION_AMOUNT'); ?>				
			</td>	
			<td>
				<?php
					if ($this->config->convenience_fee && ($this->payPaymentGatewayFee != 0)) {
						echo $this->config->currency_symbol.number_format($this->showedAmount + $this->showedAmount*$this->config->convenience_fee/100, 2).JText::sprintf('JD_COMMISION_FEE', $this->config->convenience_fee);
					} else {
						echo $this->config->currency_symbol.number_format($this->showedAmount, 2);
					}
				?>				
			</td>
		</tr>
		<tr>
			<td class="title_cell">
				<?php echo  JText::_('JD_PAYMEMNT_METHOD'); ?>
			</td>
			<td class="field_cell">				
				<?php echo JText::_($this->method->getTitle()); ?>
			</td>
		</tr>
		<?php
			$method = $this->method ;							
			if ($method->getCreditCard()) {
			?>	
				<tr>
					<td class="title_cell"><?php echo  JText::_('AUTH_CARD_NUMBER'); ?>
					<td class="field_cell">
						<?php
							$len = strlen($this->x_card_num) ;
							$remaining =  substr($this->x_card_num, $len - 4 , 4) ;
							echo str_pad($remaining, $len, '*', STR_PAD_LEFT) ;
						?>												
					</td>
				</tr>
				<tr>
					<td class="title_cell">
						<?php echo JText::_('AUTH_CARD_EXPIRY_DATE'); ?>
					</td>
					<td class="field_cell">						
						<?php echo $this->expMonth .'/'.$this->expYear ; ?>
					</td>
				</tr>
				<tr>
					<td class="title_cell">
						<?php echo JText::_('AUTH_CVV_CODE'); ?>
					</td>
					<td class="field_cell">
						<?php echo $this->x_card_code ; ?>
					</td>
				</tr>
				<?php
					if ($method->getCardType()){
					?>
						<tr>
							<td class="title_cell">
								<?php echo JText::_('JD_CARD_TYPE'); ?>
							</td>
							<td class="field_cell">
								<?php echo $this->cardType ; ?>
							</td>
						</tr>
					<?php	
					}
				?>
			<?php				
			}						
			if ($method->getCardHolderName()) {
			?>
				<tr>
					<td class="title_cell">
						<?php echo JText::_('JD_CARD_HOLDER_NAME'); ?>
					</td>
					<td class="field_cell">
						<?php echo $this->cardHolderName;?>
					</td>
				</tr>
			<?php										
			}		
			if ($this->paymentMethod == 'os_echeck') {
			?>
				<tr>
					<td class="title_cell">
						<?php echo JText::_('JD_BANK_ROUTING_NUMBER'); ?>
					</td>
					<td class="field_cell">
						<?php echo $this->x_bank_aba_code; ?>						
					</td>
				</tr>	
				
				<tr>
					<td class="title_cell">
						<?php echo JText::_('JD_BANK_ACCOUNT_NUMBER'); ?>
					</td>
					<td class="field_cell">
						<?php echo $this->x_bank_acct_num; ?>						
					</td>
				</tr>
														
				<tr>
					<td class="title_cell">
						<?php echo JText::_('JD_BANK_ACCOUNT_TYPE'); ?>
					</td>
					<td class="field_cell">
						<?php echo $this->x_bank_acct_type ; ?>						
					</td>
				</tr>
				
				<tr>
					<td class="title_cell">
						<?php echo JText::_('JD_BANK_NAME'); ?>
					</td>
					<td class="field_cell">
						<?php echo $this->x_bank_name ; ?>						
					</td>
				</tr>
				
				<tr>
					<td class="title_cell">
						<?php echo JText::_('JD_ACCOUNT_HOLDER_NAME'); ?>
					</td>
					<td class="field_cell">
						<?php echo $this->x_bank_acct_name ; ?>						
					</td>
				</tr>
			<?php		
			}			

				// Original location of the custom field display


			if ($this->config->s_comment) {
			?>
				<tr>
					<td class="title_cell">
						<?php echo  JText::_('JD_COMMENT'); ?>
					</td>
					<td class="field_cell">
						<?php echo $this->comment; ?>
					</td>
				</tr>
			<?php	
			}
			if ($this->config->enable_captcha) {
			?>
				<tr>
					<td class="title_cell">
						<?php echo JText::_('JD_CAPTCHA'); ?><span class="required">*</span>
					</td>
					<td>
						<input type="text" class="inputbox" value="" size="8" name="security_code" />
						<img src="<?php echo JRoute::_('index.php?option=com_jdonation&task=show_captcha_image'); ?>" title="<?php echo JText::_('JD_CAPTCHA_GUIDE'); ?>" align="middle" id="captcha_image" />
						<a href="javascript:reloadCaptcha();"><strong><?php echo JText::_('JD_RELOAD'); ?></strong></a>
						<?php
							if ($this->captchaInvalid) {
							?>
								<span class="error"><?php echo JText::_('JD_INVALID_CAPTCHA_ENTERED'); ?></span>
							<?php	
							}
						?>				
					</td>
				</tr>	
			<?php	
			}	
		?>						
		<tr>
			<td colspan="2" align="left">
				<input type="button" class="button" name="btnBack" value="<?php echo  JText::_('JD_BACK') ;?>" onclick="goBack();" />
				<input type="button" class="button" name="btnSubmit" value="<?php echo  JText::_('JD_PROCESS_DONATION') ;?>" onclick="processDonation();" />
			</td>
		</tr>										
	</table>	
	<input type="hidden" name="Itemid" value="<?php echo $this->Itemid; ?>" />
	<input type="hidden" name="option" value="com_jdonation" />
	<input type="hidden" name="view" value="" />
	<input type="hidden" name="task" value="process_donation" />
	<input type="hidden" name="donation_type" value="onetime" />
	<input type="hidden" name="layout" value="default">
	<input type="hidden" name="id" value="<?php echo JRequest::getInt('article_id'); ?>" />
	<script type="text/javascript">
		function goBack() {
			var form = document.jd_form;
			if (form.id.value > 0) {
				form.option.value = 'com_content' ;
				form.view.value = 'article' ;								
			} else {
				form.task.value = '';
				form.id.value = 0 ;
				form.view.value = 'donation';				
			}					
			form.submit();
		}
		function processDonation() {
			var form = document.jd_form;
			<?php
				if ($this->config->enable_captcha) {
				?>	
					if (form.security_code.value == '') {
						alert("<?php echo JText::_("JD_ENTER_CAPTCHA"); ?>");
						form.security_code.focus() ;
						return ;	
					}
				<?php
				}
			?>
			form.id.value = 0 ;
			form.submit();
		}		
		function reloadCaptcha() {									
			document.getElementById('captcha_image').src = 'index.php?option=com_jdonation&task=show_captcha_image&ran=' + Math.random();			
		}
	</script>	
	<!--  Hidden fields -->		
	<input type="hidden" name="username" value="<?php echo $this->username; ?>" />
	<input type="hidden" name="password" value="<?php echo $this->password; ?>" />
	<input type="hidden" name="password2" value="<?php echo $this->password; ?>" />
	<input type="hidden" name="first_name" value="<?php echo $this->firstName; ?>" />
	<input type="hidden" name="last_name" value="<?php echo $this->lastName; ?>" />
	<input type="hidden" name="organization" value="<?php echo $this->organization; ?>" />
	<input type="hidden" name="address" value="<?php echo $this->address; ?>" />
	<input type="hidden" name="address2" value="<?php echo $this->address2; ?>" />
	<input type="hidden" name="city" value="<?php echo $this->city; ?>" />
	<input type="hidden" name="state" value="<?php echo $this->state; ?>" />
	<input type="hidden" name="zip" value="<?php echo $this->zip; ?>" />
	<input type="hidden" name="country" value="<?php echo $this->country; ?>" />	
	<input type="hidden" name="phone" value="<?php echo $this->phone; ?>" />	
	<input type="hidden" name="fax" value="<?php echo $this->fax; ?>" />	
	<input type="hidden" name="email" value="<?php echo $this->email; ?>" />
	<input type="hidden" name="hide_me" value="<?php echo $this->hideMe; ?>" />	
	<input type="hidden" name="comment" value="<?php echo $this->comment; ?>" />
	<input type="hidden" name="amount" value="<?php echo $this->amount; ?>" />	
	<input type="hidden" name="rd_amount" value="<?php echo $this->rdAmount; ?>" />	
	<input type="hidden" name="payment_method" value="<?php echo $this->paymentMethod; ?>" />
	<input type="hidden" name="x_card_num" value="<?php echo $this->x_card_num; ?>" />		
	<input type="hidden" name="x_exp_date" value="<?php echo $this->x_exp_date; ?>" />		
	<input type="hidden" name="x_card_code" value="<?php echo $this->x_card_code; ?>" />	
	<input type="hidden" name="receive_user_id" value="<?php echo $this->receiveUserId; ?>" />
	<input type="hidden" name="exp_month" value="<?php echo $this->expMonth; ?>" />	
	<input type="hidden" name="exp_year" value="<?php echo $this->expYear; ?>" />
	<input type="hidden" name="card_type" value="<?php echo $this->cardType ; ?>" />
	<input type="hidden" name="currency_code" value="<?php echo $this->currencyCode; ?>" />
	<input type="hidden" name="pay_payment_gateway_fee" value="<?php echo $this->payPaymentGatewayFee; ?>" />
	<input type="hidden" name="r_times" value="<?php echo $this->rTimes; ?>" />
	<input type="hidden" name="card_holder_name" value="<?php echo $this->cardHolderName; ?>" />
	
	<input type="hidden" name="x_bank_aba_code" value="<?php echo $this->x_bank_aba_code;  ?>" />	
	<input type="hidden" name="x_bank_acct_num" value="<?php echo $this->x_bank_acct_num;  ?>" />	
	<input type="hidden" name="x_bank_acct_type" value="<?php echo $this->x_bank_acct_type;  ?>" />	
	<input type="hidden" name="x_bank_name" value="<?php echo $this->x_bank_name;  ?>" />	
	<input type="hidden" name="x_bank_acct_name" value="<?php echo $this->x_bank_acct_name;  ?>" />	
	
	<input type="hidden" name="bank_id" value="<?php echo $this->bankId ; ?>" />
		
	<?php
		if ($this->config->use_campaign) {
		?>
			<input type="hidden" name="campaign_id" value="<?php echo $this->campaignId; ?>" />
		<?php		
		}
		if ($this->customField) 
			echo $this->hidden ;		
	?>	
	<?php echo JHTML::_( 'form.token' ); ?>	
</form>